# eoPropCombinedQuadOp< EOT > Class Template Reference

Combined quad genetic operator: operator() has two operands, both can be modified. More...

`#include <eoProportionalCombinedOp.h>`

Inheritance diagram for eoPropCombinedQuadOp< EOT >:

List of all members.

## Public Member Functions

| eoPropCombinedQuadOp (eoQuadOp< EOT > &_first, const double _rate)
| Ctor from a true operator.
virtual std::string | className () const
virtual void | add (eoQuadOp< EOT > &_op, const double _rate, bool _verbose=false)
virtual void | printOn (std::ostream &_os)
virtual bool | operator() (EOT &_indi1, EOT &_indi2)
| The pure virtual function that needs to be implemented by the subclass.

## Private Attributes

std::vector< eoQuadOp< EOT > * > | ops
std::vector< double > | rates

## Detailed Description

### template<class EOT>
class eoPropCombinedQuadOp< EOT >

Combined quad genetic operator: operator() has two operands, both can be modified.

generic operators are now allowed: there are imbedded into the corresponding "true" operator

Definition at line 163 of file eoProportionalCombinedOp.h.

The documentation for this class was generated from the following file:

- eoProportionalCombinedOp.h